---
- name: Conf Jitsi - Activation de l'authentification prosody 1/2
  replace:
    path: /etc/prosody/conf.d/{{ inventory_hostname }}.cfg.lua
    regexp: 'authentication = "anonymous"'
    replace: 'authentication = "internal_hashed"'
  notify:
    - restart prosody
    - restart jitsi-videobridge2
    - restart jicofo

- name:  Conf Jitsi - Activation de l'authentification prosody 2/2
  blockinfile:
    path: /etc/prosody/conf.d/{{ inventory_hostname }}.cfg.lua
    marker: "-- {mark} ANSIBLE MANAGED BLOCK"
    block: |
      VirtualHost "guest.{{ inventory_hostname }}"
          authentication = "anonymous"
          c2s_require_encryption = false
  notify:
    - restart prosody
    - restart jitsi-videobridge2
    - restart jicofo

- name: Conf Jitsi - Activation de l'authentification jitsi
  lineinfile:
    path: /etc/jitsi/meet/{{ inventory_hostname }}-config.js
    insertafter: "[^?]// anonymousdomain: 'guest.example.com'"
    line: "        anonymousdomain: 'guest.{{ inventory_hostname }}',"
  notify:
    - restart prosody
    - restart jitsi-videobridge2
    - restart jicofo

- name: Conf Jitsi - Activation de l'authentification jicofo
  lineinfile:
    path: /etc/jitsi/jicofo/sip-communicator.properties
    insertafter: "^org.jitsi.jicofo.BRIDGE_MUC=*"
    line: "org.jitsi.jicofo.auth.URL=XMPP:{{ inventory_hostname }}"
  notify:
    - restart prosody
    - restart jitsi-videobridge2
    - restart jicofo

- name: Conf Jitsi - Création de l'utilisateur prosody
  command: prosodyctl register {{ jitsi_user }} {{ inventory_hostname }} {{ jitsi_pass }}
  notify:
    - restart prosody
    - restart jitsi-videobridge2
    - restart jicofo
